@import url("app.css");

html {
  box-sizing: border-box;
  font-family: 'Inter', sans-serif;
  width: 100%;
}

*, *:before, *:after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background-color: #141415;
  color: #ffffff;
  width: 100%;
}

a {
  color: inherit;
  text-decoration: none;
}

ul {
  list-style-type: none;
}

.container {
  padding: 0 25px;
}

.header {
  display: flex;
  justify-content: space-between;
  height: 70px;
  align-items: center;
}

.actions__list {
  margin-bottom: 15px;
}

.menu-button-container {
  width: 30px;
  height: 20px;
  position: relative;
  border: none;
  background: transparent;
}

.menu-button-container--open > .menu-button {
  height: 0;
}

.menu-button-container--open > .menu-button:before,
.menu-button-container--open > .menu-button:after {
  top: 1px;
  margin: 0;
}

.menu-button-container--open > .menu-button:before {
  transform: rotate(-45deg);
}

.menu-button-container--open > .menu-button:after {
  transform: rotate(45deg);
}

.menu-button {
  top: 8px;
}

.menu-button,
.menu-button::before,
.menu-button::after {
  display: block;
  background-color: #fff;
  position: absolute;
  height: 4px;
  width: 30px;
  transition: transform 400ms cubic-bezier(0.23, 1, 0.32, 1);
  border-radius: 2px;
}

.menu-button::before {
  content: '';
  margin-top: -8px;
}

.menu-button::after {
  content: '';
  margin-top: 8px;
}

.navigation {
  position: absolute;
  background-color: #000;
  padding: 25px;
  top: 70px;
  width: 100%;
  left: 0;
}

.navigation--enter {
  transition: ease-out .2s;
}

.navigation--enter-start {
  transform: translateY(-100%);
}

.navigation--enter-end {
  transform: translateY(0);
}

.navigation--leave {
  transition: ease-out .2s;
}

.navigation--leave-start {
  transform: translateY(0);
}

.navigation--leave-end {
  transform: translateY(-100%);
}

.menu__list-elem {
  margin-bottom: 1.5rem;
}

.menu__list-elem {
  margin-bottom: 15px;
}

.menu__list-elem-link--icon:after {
  content: '';
  background: url("../images/arrow-down-icon.svg") no-repeat;
  width: 10px;
  height: 6px;
  display: inline-block;
  margin-left: 6px;
  position: relative;
  top: -2px
}

.main-container__background {
  background: url("../images/header-bg.png") no-repeat;
}

.main {
  background-size: cover;
  text-align: center;
  padding-top: 198px;
  margin-top: -70px;
  margin-bottom: 80px;
}

.main__title {
  font-size: 2.375rem;
  line-height: 1.16;
  font-weight: 700;
  max-width: 740px;
  margin: 0 auto 15px;
}

.main__search-label {
  opacity: 0.5;
  margin-bottom: 40px;
}

.search {
  position: relative;
  max-width: 548px;
  margin: 0 auto 24px;
}

.search__icon {
  background: url("../images/search-icon.svg") no-repeat;
  width: 16px;
  height: 16px;
  position: absolute;
  top: 50%;
  margin-top: -8px;
  left: 30px;
}

.main__search-often {
  line-height: 1.71;
  opacity: 0.5;
}

.main__search-often-span {
  text-decoration: underline;
}

.info-cards {
  margin-top: 85px;
  text-align: left;
}

.info-card {
  padding: 32px;
  border-radius: 16px;
  background: #38A0FF;
}

.info-card__title {
  margin-top: 62px;
}

.info-card--red {
  background: #FF5038;
}

.info-card--orange {
  background: #F2A42F;
}

.info-card:not(:last-child) {
  margin-bottom: 24px;
}

.plant-icon {
  background: url("../images/plant-ground-icon.svg") no-repeat;
}

.question-icon {
  background: url("../images/c-question-icon.svg") no-repeat;
}

.book-icon {
  background: url("../images/open-book-icon.svg") no-repeat;
}

.info-card__text {
  opacity: 0.75;
}

.getting-started {
  margin-bottom: 68px;
}

.getting-started__title {
  font-size: 2rem;
  line-height: 1.25;
  margin-bottom: 32px;
  font-weight: 700;
}

.getting-started__card {
  background: #393939;
  border-radius: 12px;
  padding: 32px;
}

.getting-started__card:not(:last-child) {
  margin-bottom: 24px;
}

.getting-started__card-title {
  margin-top: 38px;
}

.getting-started__card-text {
  opacity: 0.5;
}

.speaker-icon {
  background: url("../images/speaker-icon.svg") no-repeat;
}

.integration-icon {
  background: url("../images/nodes-icon.svg") no-repeat;
}

.payments-icon {
  background: url("../images/traffic-icon.svg") no-repeat;
}

.community-icon {
  background: url("../images/multiple-icon.svg") no-repeat;
}

.submit-icon {
  background: url("../images/paper-icon.svg") no-repeat;
}

.guides-icon {
  background: url("../images/book-bookmark-icon.svg") no-repeat;
}

.developers-icon {
  background: url("../images/js-console-icon.svg") no-repeat;
}

.faq {
  margin-bottom: 130px;
}

.fag_title {
  text-align: center;
  font-size: 2.5rem;
  line-height: 1.2;
  margin-bottom: 72px;
  font-weight: 700;
}

@media (min-width: 768px) {
  .logo__link {
    margin-right: 24px;
  }

  .navigation {
    display: flex!important;
    justify-content: space-between;
    background-color: transparent;
    position: relative;
    padding: 0;
    top: auto;
  }

  .menu-button-container {
    display: none;
  }

  .menu__list-elem {
    display: inline-block;
    margin: 0;
    padding: 0 16px;
  }

  .actions__list {
    display: inline-block;
    margin: 0;
  }

  .actions__list:not(:last-child) {
    margin-right: 24px;
  }

  .main__title {
    font-size: 3rem;
  }

  .info-cards {
    display: flex;
  }

  .info-card {
    flex: 1;
  }

  .info-card:not(:last-child) {
    margin-right: 24px;
    margin-bottom: 0;
  }

  .getting-started__card:not(:last-child) {
    margin: 0;
  }

  .getting-started__cards {
    display: grid;
    grid-gap: 24px;
    grid-template-columns: repeat(auto-fill, minmax(262px, 1fr));
  }
}

@media (min-width: 1024px) {
  .container {
    max-width: 1200px;
    margin-left: auto;
    margin-right: auto;
  }

  .main {
    padding-top: 198px;
  }

  .getting-started {
    background: url("../images/getting-started-bg.png") no-repeat;
    background-size: 100% 100%;
  }

  .getting-started-container {
    position: relative;
  }

  .getting-started__cards {
    position: relative;
    z-index: 1;
  }

  .getting-started__circle {
    position: absolute;
    width: 300px;
    height: 300px;
    border: 1px solid #313131;
    border-radius: 100%;
    bottom: 0;
    left: -100px;
  }
}

@media (min-width: 1440px) {
  .getting-started {
    height: 958px;
    padding-top: 240px;
    margin-top: -240px;
  }

  .getting-started__circle {
    bottom: -160px;
  }
}
